worldpieces(6)

NAME
worldpieces - globe assembly screen saver.

SYNOPSIS
worldpieces [--display host:display.screen] [--visual visual] [--window] [--root] [--delay number] [--speed ratio] [--no-wander] [--no-rotate] [--spin ratio] [--speed ratio] [--no-stars] [--underground] [--fastforward] [--wireframe] [--fps]

DESCRIPTION
The Earth fills up with countries one at a time, solving international relations like a jigsaw puzzle.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

--speed ratio
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

--wander | --no-wander
    Whether the planet should wander around the screen.

--spin ratio
    Whether and how fast the planet should rotate around the axis. 2.0 means twice as fast, 0.5 means half as fast.

--roll | --no-roll
    Whether the planet should wobble.

--stars | --no-stars
    Whether to display a star field.

--underground | --no-underground
    Whether to show the seamy underbelly of the countries.

--fastforward | --no-fastforward
    If you are impatient waiting for the countries to fill in, this will initially skip ahead a bit.

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

--image file
    The image to use for the Earth's surface.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2026 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.